Subject: Re: Python version auditing followup

From: "Joachim Schmitz" <[email-masked]>
Date: Thu, 20 Dec 2012 22:30:30 +0100

Junio C Hamano wrote:
> [email-masked] (Eric S. Raymond) writes:
>
>> That was the first of three patches I have promised.  In order to do
>> the next one, which will be a development guidelines recommend
>> compatibility back to some specific version X, I need a policy
>> decision.  How do we set X?
>>
>> I don't think X can be < 2.4, nor does it need to be - 2.4 came out
>> in 2004 and eight years is plenty of deployment time.
>>
>> The later we set it, the more convenient for developers.  But of
>> course by setting it late we trade away some portability to
>> older systems.
>>
>> In previous discussion of this issue I recommended X = 2.6.
>> That is still my recommendation. Thoughts, comments, objections?
>
> I personally would think 2.6 is recent enough.  Which platforms that
> are long-term-maintained by their vendors still pin their Python at
> 2.4.X?  2.4.6 was in 2008 that was source only, 2.4.4 was in late
> 2006 that was the last 2.4 with binary release.
>
> Objections?  Comments?

We have a working 2.4.2 for HP-NonStop and some major problems getting 2.7.3 
to work.

Bye, Jojo